There is an update of the latest stable version of Linux kernel 4.5.1 available in Sparky “unstable” repository.

To install or upgrade it, activate Sparky “unstable” repository:
sudo nano /etc/apt/sources.list.d/sparky.list
and make sure the list looks like that:
## sparky
deb http://sparkylinux.org/repo/ testing main
deb-src http://sparkylinux.org/repo/ testing main
deb http://sparkylinux.org/repo/ unstable main
deb-src http://sparkylinux.org/repo/ unstable main

Then refresh package list:
sudo apt-get update

And install the latest kernel via the meta packages.
amd64:
sudo apt-get install linux-image-sparky-amd64
686 non-pae:
sudo apt-get install linux-image-sparky-686
686-pae:
sudo apt-get install linux-image-sparky-686-pae

or just make full system upgrade if you have the previous Sparky Linux kernel meta-packages already installed.

Then reboot you machine to take effects.